<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'withdrwalbonus',

    /*
     * Modules.
     */
    'modules'   => ['withdrwalbonus'],

    
    'withdrwalbonus'       => [
        'model' => [
            'model'                 => \Litecms\Withdrwalbonus\Models\Withdrwalbonus::class,
            'table'                 => 'withdrwalbonuses',
            'presenter'             => \Litecms\Withdrwalbonus\Repositories\Presenter\WithdrwalbonusPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['with_level_1',  'with_level_2',  'with_level_3',  'with_level_4'],
            'translatables'         => [],
            'upload_folder'         => 'withdrwalbonus/withdrwalbonus',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Withdrwalbonus',
            'module'    => 'Withdrwalbonus',
        ],

    ],
];
