<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateWithdrwalbonusesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: withdrwalbonuses
         */
        Schema::create('withdrwalbonuses', function ($table) {
            $table->increments('id');
            $table->text('with_level_1')->nullable();
            $table->text('with_level_2')->nullable();
            $table->text('with_level_3')->nullable();
            $table->text('with_level_4')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('withdrwalbonuses');
    }
}
