<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class WithdrwalbonusTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('withdrwalbonuses')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'withdrwalbonus.withdrwalbonus.view',
                'name'      => 'View Withdrwalbonus',
            ],
            [
                'slug'      => 'withdrwalbonus.withdrwalbonus.create',
                'name'      => 'Create Withdrwalbonus',
            ],
            [
                'slug'      => 'withdrwalbonus.withdrwalbonus.edit',
                'name'      => 'Update Withdrwalbonus',
            ],
            [
                'slug'      => 'withdrwalbonus.withdrwalbonus.delete',
                'name'      => 'Delete Withdrwalbonus',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/withdrwalbonus/withdrwalbonus',
                'name'        => 'Withdrwalbonus',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/withdrwalbonus/withdrwalbonus',
                'name'        => 'Withdrwalbonus',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'withdrwalbonus',
                'name'        => 'Withdrwalbonus',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Withdrwalbonus',
                'module'    => 'Withdrwalbonus',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'withdrwalbonus.withdrwalbonus.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
