<?php

namespace Litecms\Withdrwalbonus;

use User;

class Withdrwalbonus
{
    /**
     * $withdrwalbonus object.
     */
    protected $withdrwalbonus;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Withdrwalbonus\Interfaces\WithdrwalbonusRepositoryInterface $withdrwalbonus)
    {
        $this->withdrwalbonus = $withdrwalbonus;
    }

    /**
     * Returns count of withdrwalbonus.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.withdrwalbonus.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->withdrwalbonus->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\WithdrwalbonusUserCriteria());
        }

        $withdrwalbonus = $this->withdrwalbonus->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('withdrwalbonus::' . $view, compact('withdrwalbonus'))->render();
    }
}
